/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986,1988
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */

#ifndef VFS

 # $Header:mount.c 12.0$
 # $ACIS:mount.c 12.0$
 # $Source: /ibm/acis/usr/src/lib/libc/ca/sys/RCS/mount.c,v $
#include "SYS.h"
SYSCODE(mount)
	SVC(mount)
	btb	syserror	# non-error return, 0 result
	brx	r15
	lis	r2,0
syserror:
	get	r5,$_errno
	sts	r2,0(r5)	#update error number
	get	r2,$-1
	br	r15	#return to caller
	TTNOFRM

#else !VFS

#include "SYS.h"
SYSCALL(mount)
   .align 2
   .ltorg

#endif !VFS

#include <sys/nfs_defines.h>
